<script setup>
import {onMounted, ref} from 'vue'
import api from "~/api/api";

// const items = ref([
//     { img: '/img/blog1.svg', title: 'لورم ایپسوم متن ساختگی با تولید سادگیلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ نامفهوم از صنعت چاپ' },
//     { img: '/img/blog2.svg', title: 'لورم رم ایپسوم متن ساختگی با تولید سادگیلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ نامفهوم از صنعت' },
//     { img: '/img/blog1.svg', title: 'لورم رم ایپسوم متن ساختگی با تولید سادگیلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ نامفهوم از صنعت' },
//     { img: '/img/blog2.svg', title: 'لورم رم ایپسوم متن ساختگی با تولید سادگیلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ نامفهوم از صنعت' }
// ])

const items = ref([])
const loading = ref(true)
onMounted(() => {
    try {
        api.get(`posts`).then(res => {
            items.value = res?.data?.data
            loading.value = false
        })
    } catch {
        loading.value = false
    }
})

</script>

<template>
    <div class="BlogHeaderSlider">
        <v-container class="pa-0" fluid>
            <v-carousel height="510" hide-delimiters-background cycle>
                <template v-slot:next="{ props }">
                    <v-btn class="d-lg-block d-none" size="40" variant="outlined" color="white" @click="props.onClick">
                        <BootstrapIcon class="d-flex text-white" name="chevron-left" />
                    </v-btn>
                </template>
                <template v-slot:prev="{ props }">
                    <v-btn class="d-lg-block d-none" size="40" variant="outlined" color="white" @click="props.onClick">
                        <BootstrapIcon class="d-flex text-white" name="chevron-right" />
                    </v-btn>
                </template>
                <v-carousel-item class="d-flex align-center" v-for="(item, i) in items" :key="i" :src="item.featured_image" cover>
                    <div class="overlay"></div>
                    <h1> {{ item.title }}</h1>
                </v-carousel-item>
            </v-carousel>
        </v-container>
    </div>
</template>

<style lang="scss">
.BlogHeaderSlider {
    .v-carousel__controls {
        background-color: unset;

        .v-btn {
            width: 10px !important;
            height: 10px !important;
            background-color: white;
            margin: 5px;
        }

        .v-btn--active {
            .v-btn__overlay {
                display: none;
            }

            i {
                color: #122771;
            }
        }
    }

    h1 {
        display: flex;
        height: 100%;
        align-items: center;
        font-weight: 700;
        font-size: 32px;
        line-height: 50px;
        color: #FFFFFF;
        position: relative;
        width: 655px;
        margin: auto;
        text-align: center;
    }

    .v-btn {
        border-radius: 50% !important;
    }

    .overlay {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        background: #3B5099;
        opacity: 0.4;
    }

    @media only screen and (max-width:768px) {
        .v-carousel {

            height: 271px !important;
        }

        h1 {
            font-size: 24px;
            line-height: 37px;
            width: auto;
        }
    }

    @media only screen and (max-width:360px) {
        .v-carousel {
            height: 194px !important;
        }

        h1 {
            font-size: 14px;
            width: auto;
            margin: 0 45px;
            line-height: 25px;
        }
    }
}
</style>